//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#include "configure_dialog.h"

#include <config/processing_config.h>

//------------------------------------------------------------------------------
// public:
//------------------------------------------------------------------------------
ConfigureDialog::ConfigureDialog(QWidget *parent)
    :
    QDialog(parent)
{
    ui.setupUi(this);

    ProcessingConfig pc;
    ui.cpuNumber->setValue(pc.cpuNumber);
    ui.cpuDetect->setChecked(pc.cpuDetect);
}

//------------------------------------------------------------------------------
// public slots:
//------------------------------------------------------------------------------
void
ConfigureDialog::accept()
{
    ProcessingConfig pc;

    pc.cpuNumber = ui.cpuNumber->value();
    pc.cpuDetect = ui.cpuDetect->isChecked();

    pc.save();

    close();
}

