//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#include "processing_config.h"

#include <QSettings>

namespace
{
    char* GROUP      = "processing";

    char* CPU_NUMBER = "cpu_number";
    char* CPU_DETECT   = "cpu_detect";
}

//------------------------------------------------------------------------------
// public:
//------------------------------------------------------------------------------
ProcessingConfig::ProcessingConfig()
    :
    cpuNumber(1),
    cpuDetect(true)
{
    QSettings s;
    s.beginGroup(GROUP);

    cpuNumber = s.value(CPU_NUMBER, 1).toInt();
    cpuDetect = s.value(CPU_DETECT, true).toBool();

    s.endGroup();
}

//------------------------------------------------------------------------------
void
ProcessingConfig::save()
{
    QSettings s;
    s.beginGroup(GROUP);

    s.setValue(CPU_NUMBER, cpuNumber);
    s.setValue(CPU_DETECT, cpuDetect);

    s.endGroup();
}
