//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#include "window_config.h"

#include <QSettings>

namespace
{
    char* GROUP      = "window";

    char* GEOMETRY   = "geometry";
}

//------------------------------------------------------------------------------
// public:
//------------------------------------------------------------------------------
WindowConfig::WindowConfig()
    :
    geometry()
{
    QSettings s;
    s.beginGroup(GROUP);

    geometry = s.value(GEOMETRY).toByteArray();

    s.endGroup();
}

//------------------------------------------------------------------------------
void
WindowConfig::save()
{
    QSettings s;
    s.beginGroup(GROUP);

    s.setValue(GEOMETRY, geometry);

    s.endGroup();
}

