//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_fractal_mandelbrot_h
#define fractanoid_fractal_mandelbrot_h

#include <fractal/cell_descriptor.h>

#include <QRect>

#include <vector>

class Mandelbrot
{
  public:
    Mandelbrot();
    ~Mandelbrot();

    QRect limits(double zoom) const;

    void generate(const CellDescriptor&      cell,
                  std::vector<unsigned int>& data) const;
};

#endif

