//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_src_gradient_gradient_h
#define fractanoid_src_gradient_gradient_h

#include <vector>

#include <QColor>

class Gradient
{
  public:
    struct Point
    {
        Point(float i, QColor c)
            :
            index(i),
            colour(c)
        {}

        float  index;
        QColor colour;
    };

    Gradient(const std::vector<Point> &points);
    ~Gradient();

    std::vector<QRgb> swab(unsigned int no_points) const;

  private:
    std::vector<Point> m_points;
};

#endif

