//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#include "fractanoid.h"

#include <QApplication>

#include <config/processing_config.h>
#include <utils/cpu.h>

//------------------------------------------------------------------------------
int
main(int argc, char **argv)
{
    // setup configuration for settings
    QCoreApplication::setOrganizationName  ("Winterbug");
    QCoreApplication::setOrganizationDomain("winterbug.com");
    QCoreApplication::setApplicationName   ("Fractanoid");

    QApplication app(argc, argv);

    // autodetect number of CPU's
    ProcessingConfig pc;
    if (pc.cpuDetect) pc.cpuNumber = Cpu::count();
    pc.save();

    // start the app
    Fractanoid window;
    window.show();
    return app.exec();
}
