//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#include "cpu.h"

#include <QtGlobal>

#if defined(Q_WS_MAC)
    #include <sys/types.h>
    #include <sys/param.h>
    #include <sys/sysctl.h>

#elif defined(Q_WS_WIN)
    #include <windows.h>

#elif defined(Q_OS_LINUX)
    #include <unistd.h>

#endif

namespace Cpu
{

//------------------------------------------------------------------------------
long
count()
{
    long cpu_count = 1;

#if defined(Q_WS_MAC)
    int    mib[2] = { CTL_HW, HW_NCPU };
    int    cpus;
    size_t size = sizeof(cpus);
    if (0 == sysctl(mib, 2, &cpus, &size, NULL, 0))
    { 
        cpu_count = cpus;
    }
   
#elif defined(Q_WS_WIN)
    SYSTEM_INFO    si;
    GetSystemInfo(&si);
    cpu_count = si.dwNumberOfProcessors;

#elif defined(Q_OS_LINUX)
    cpu_count = sysconf(_SC_NPROCESSORS_ONLN);

#else
    #error unknown operating system

#endif

    if (cpu_count < 1) cpu_count = 1;

    return cpu_count;
}

}

