//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_widget_fractal_widget_thread_h
#define fractanoid_widget_fractal_widget_thread_h

#include <fractal/cell_image.h>

#include <QThread>
#include <QMutex>
#include <QSemaphore>

class FractalWidgetThread : public QThread
{
  Q_OBJECT

  public:
    FractalWidgetThread(CellDescriptorList& cells,
                        QMutex&             lock,
                        QSemaphore&         data_access);

    virtual ~FractalWidgetThread();

    void stop();

    virtual void run();

  signals:
    void threadComplete(CellImage*);

  private:
    //--------------------------------------------------------------------------
    // Description : Not allowed for this class
    //--------------------------------------------------------------------------
    FractalWidgetThread& operator=(const FractalWidgetThread& rhs);
    FractalWidgetThread(const FractalWidgetThread& rhs);

    bool                m_stop;
    CellDescriptorList& m_cells;
    QMutex&             m_lock;
    QSemaphore&         m_data_access;
};

#endif

